Productsup
CDE APIApi referenceVersions

Create a connector version based on another version

The based version used as a source will be duplicated except for every information related to release, and deploy on the platform.

Sign in to run requests against the CDE API.
POST
/connectors/{publicId}/versions

Authorization

oAuth2AuthCode
AuthorizationBearer <token>

In: header

Path Parameters

publicId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://cde.staging.productsup.com/connectors/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions" \  -H "Content-Type: application/json" \  -d '{    "from-version": "latest"  }'
{
  "message": "Version created."
}
{
  "message": "Bad request.",
  "errors": {
    "from-version": "This value should not be blank."
  }
}
{
  "message": "You have to be authorized to access this resource."
}
{
  "message": "Connector not found."
}

How is this guide?